<?php 
	// 2003 - 2023 @ Yal Publicidad - yPanel
	//* defino acceso al sistema WebyPlus */
	define( 'YPANEL_INI', true );
	//* defino camino 
	include_once( dirname(__DIR__) . YDS . '.ypanel.php' );
	
	if( $_POST ){
		$post			= ( isset( $_POST['post'] ) ) ? $_POST['post'] : 0;
		$pass		= ( isset( $_POST['npass'] ) ) ? $_POST['npass'] : NULL;
		
		if( _mysql_query( "UPDATE `" . MYSQL_PREFIJO_SISX . "usuarios` SET `password`='$pass' WHERE md5(id)='$post'" ) ){	
			msg_error( 'La contraseña se modificó correctamente.', '', 'alert-success' );
		}else{
			msg_error( 'UPS algo salió mal.', '', 'alert-danger' );
		}
	}
	
	
	echo _error();
			 
?>	